## debian-installer 20050317ubuntu19

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#

#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

#
# By default, we just advertise what we can do.
#
.PHONY: all
all: list

#
# Globally useful variables.
#
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


#
# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
#
include config/common
include config/dir
-include config/local
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg

#
# Useful command sequences
#
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs-userdevfs
  genext2fs -d $(TREE) -b $(USERDEVFS_SIZE) -r 0 -f userdevfs-devs
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -r 0
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

#
# A generic recursion rule
#
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

#
# Validate a targetstring, echo env variables for valid ones
#
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


#
# List all targets useful for direct invocation.
#
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


#
# Clean all targets.
#
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb sources.list.deb
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

#
# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
#
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

#
# The general tree target.
# FIXME: This is way too convoluted.
#
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep Version: | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; <>; print "$$p $$v"' | \
		sort > $(TEMP_INITRD_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	#
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -type d | xargs rm -f; \
	fi

	# These files are used to build special kernel images for some
	# subarchitectures. Move them out of the way.
	$(foreach VERSION,$(KERNELVERSION), \
		if [ -d $(TREE)/usr/lib/linux-image-$(VERSION) ]; then \
			mv $(TREE)/usr/lib/linux-image-$(VERSION) \
				$(TEMP)/lib; \
		fi;)
endif

ifdef KERNELNAME
	# Move the kernel image out of the way.
	$(foreach name,$(KERNELNAME), \
		mv -f $(TREE)/boot/$(name) $(TEMP)/$(name);)
	rmdir $(TREE)/boot/
endif

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef EXTRALIBS
	# Copy in any extra libs.
	set -e; \
	for file in $(EXTRALIBS); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

	@touch $@


$(STAMPS)tree-$(targetstring)-stamp: $(STAMPS)tree-unpack-$(targetstring)-stamp
	# Create a dev tree.
	mkdir -p $(TREE)/dev
	# Always needed, in case devfs is not mounted on boot.
	# userdevfs uses userdevfs-devs w/genext2fs
ifndef USERDEVFS
	mknod $(TREE)/dev/console c 5 1
	mknod $(TREE)/dev/null c 1 3
endif

ifdef EXTRADRIVERS
	# Unpack the udebs of additional driver disks, so mklibs runs on them too.
	mkdir -p $(EXTRADRIVERSDIR)
	mkdir -p $(EXTRADRIVERSDPKGDIR)/info $(EXTRADRIVERSDPKGDIR)/updates
	touch $(EXTRADRIVERSDPKGDIR)/status $(EXTRADRIVERSDPKGDIR)/available
	dpkg $(DPKG_UNPACK_OPTIONS) --root=$(EXTRADRIVERSDIR) --unpack \
		$(wildcard $(foreach dir,$(EXTRADRIVERS),$(dir)/*.udeb))
endif

	# Library reduction. Existing libs from udebs are put in the udeblibs
	# directory and mklibs is made to use those in preference to the

=== debian/changelog ===
debian-installer (20050317ubuntu19) breezy; urgency=low

  * doc/manual/en/appendix/chroot-install.xml: Recommend installing
    ubuntu-standard as well as ubuntu-desktop. Use metapackages rather than
    tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:56:11 +0100

debian-installer (20050317ubuntu18) breezy; urgency=low

  * build/boot/x86/f1.txt, doc/manual/en/appendix/chroot-install.xml,
    doc/manual/en/appendix/files.xml,
    doc/manual/en/preparing/minimum-hardware-reqts.xml: Bump minimum memory
    requirement to 64MB, server install disk requirement to 400MB, and
    desktop install disk requirement to 2GB.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Oct 2005 11:51:58 +0100

debian-installer (20050317ubuntu17) breezy; urgency=low

  * Move to 2.6.12-9 kernels.
  * Drop poxml build-dependency. Since we don't ship a translated manual at
    the moment, we don't need it, and hppa is having trouble with it.
  * Sync hppa pkg-lists with available kernel module udebs:
    - Remove cdrom-modules and socket-modules.
    - Add ide-core-modules and scsi-core-modules to cdrom.
    - Add usb-modules to netboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Sep 2005 18:49:47 +0100

debian-installer (20050317ubuntu16) breezy; urgency=low

  * build/boot/x86/pics/ubuntu-usplash.png,
    build/boot/x86/pics/ubuntu-usplash.rle: Add new Ubuntu splash image
    based on usplash artwork.
  * build/config/x86.cfg: Use ubuntu-usplash.rle by default.

  * Manual changes:
    - appendix/example-preseed.xml: Update to take account of changes to
      various installer components (part of Ubuntu #11944):
      + preseed/locale is now debian-installer/locale (Debian change to
        localechooser).
      + Use kbd-chooser/method instead of console-keymaps-*/keymap (Ubuntu
        change to kbd-chooser).
      + Replace tasksel preseeding with base-config/package-selection
        (various Ubuntu changes).
      + Remove mailer configuration, as Ubuntu doesn't install an MTA by
        default.
    - build/entities/urls.ent, appendix/chroot-install.xml: Change all
      references to ubuntulinux.org to be references to ubuntu.com instead.
    - install-methods/downloading-files.xml: Ubuntu branding.
    - install-methods/boot-usb-files.xml: Turn "netboot/boot.img.gz" into a
      link (thanks, Karl Hegbloom).
    - hardware/hardware-supported.xml: Update architecture count for Ubuntu
      and disable table entries for non-Ubuntu-supported architectures
      (thanks, Michael Moore). Add amd64. Remove Debian-only i386 flavours.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Sep 2005 17:33:31 +0100

debian-installer (20050317ubuntu15) breezy; urgency=low

  * Backport from trunk (Christian Perrier, closes: Ubuntu #14024):
    - Complete the list of needed characters for Persian with the help of
      Arash Bizanjadeh and Eugenyi Meshcheryakov
  * Move to 2.6.12-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2005 00:59:39 +0100

debian-installer (20050317ubuntu14) breezy; urgency=low

  * Move to 2.6.12-7 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 19 Aug 2005 07:59:03 +0200

debian-installer (20050317ubuntu13) breezy; urgency=low

  * Move to 2.6.12-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 21:12:35 +0100

debian-installer (20050317ubuntu12) breezy; urgency=low

  * Move to 2.6.12-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 10:28:04 +0100

debian-installer (20050317ubuntu11) breezy; urgency=low

  * build/Makefile: Fetch sparc packages from main only, at Fabio's request.

  * Move to 2.6.12-4 kernels.
  * Remove nic-extra-modules, scsi-common-modules, and scsi-extra-modules
    from all cdrom, hd-media, and netboot images on our architectures.
  * build/pkg-lists/cdrom/sparc.cfg: Use dependency resolution for
    nic-modules.

  * build/pkg-lists/exclude: Update to current trunk, for slang2 transition
    etc.
  * debian/control: Build-depend on libslang2-pic rather than
    slang1-utf8-pic.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jul 2005 17:32:49 +0100

debian-installer (20050317ubuntu10) breezy; urgency=low

  * build/boot/x86/f3.txt, build/boot/x86/f3.txt.live: Document the memtest
    boot option.
  * build/Makefile: Fetch packages from both main and universe when building
    unofficial architectures (anything other than amd64, i386, or powerpc).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 09:55:55 +0100

debian-installer (20050317ubuntu9) breezy; urgency=low

  * build/config/sparc/cdrom.cfg: Only build 2.6.
  * build/config/sparc/cdrom/2.6.cfg: Don't use cramfs.
  * build/config/sparc/sparc64/netboot-2.6.cfg: Fix KERNELNAME.

  * Backport from trunk (Joey Hess):
    - Updates for libiw28. Remove libiw27 from build deps and from exclude
      list, since the udeb is in fact used now to provide the library and
      netcfg's dependencies have been fixes. Enable dependency resolution
      for netcfg. Now no more updates should be needed here when libiw
      changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2005 13:03:31 +0100

debian-installer (20050317ubuntu8) breezy; urgency=low

  * Move to 2.6.12-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2005 18:19:28 +0100

debian-installer (20050317ubuntu7) breezy; urgency=low

  * Move to 2.6.12-2 kernels.
  * Replace power3 and power4 with powerpc64.
  * doc/manual/en/hardware/supported/powerpc.xml: Document powerpc flavour
    changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jun 2005 15:46:23 +0100

debian-installer (20050317ubuntu6) breezy; urgency=low

  * Disable USB on sparc for now.
  * doc/manual/en/install-methods/automatic-install.xml: Bootloader
    passwords and device --opts have been implemented for Kickstart.
  * Backport from trunk (Joey Hess):
    - build/pkg-lists/base: Add new env-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2005 00:26:35 +0100



=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Build-Depends: apt, gnupg, bc, libslang2-pic, libnewt-pic, syslinux (>= 2.11-0.1) [i386 amd64], sysutils [i386 amd64], dosfstools [i386 ia64 m68k amd64], ncurses-base, genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), modutils, glibc-pic, mtools (>= 3.9.9-1) [i386 ia64 m68k amd64], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], libbogl-dev, libtextwrap1, debhelper (>= 4), tip22 [mips], yaboot [powerpc], mkisofs, elilo [ia64], aboot (>= 0.9b-2) [alpha], silo [sparc], libdebian-installer4, libdebconfclient0, palo [hppa], docbook, docbook-xml, docbook-xsl, xsltproc, genisovh [mips], grep-dctrl, bzip2 [powerpc], libparted1.6-12, delo [mipsel], genromfs [sparc], hfsutils [powerpc], colo (>= 1.10-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], sparc-utils [sparc], cramfsprogs [powerpc ia64 mips], mkvmlinuz [powerpc], module-init-tools [i386 powerpc amd64 hppa ia64 sparc], libnewt0.51, debiandoc-sgml, gawk, lsb-release
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1.0

Package: debian-installer-manual
Architecture: any
Description: Debian installation manual
 This package contains the Debian installation manual, in a variety of
 languages. It also includes the installation HOWTO, and a variety of
 developer documentation for the Debian Installer.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
DISTRIBUTION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifeq (${DISTRIBUTION},unstable)
DISTRIBUTION=sarge
endif
ifeq (${DISTRIBUTION},UNRELEASED)
DISTRIBUTION=unstable
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
MANDIR=$(DESTDIR)/doc/manual
MANTMP=$(shell pwd)/doc/manual/build/manual
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP)
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats \
		SUITE=$(DISTRIBUTION) BUILD_DATE=$(DATE)
	
build: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd doc/manual/build && \
	        official_build=1 destination=$(MANTMP) \
		architectures=$(ARCH) noarchdir=1 ./build.sh

	$(MAKE) -C doc/devel/partman
	
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	install -d $(MANDIR)
	cp -a $(MANTMP)/* $(MANDIR)
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	cd $(IMAGEDIR) && md5sum `find . -type f` > MD5SUMS
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs $(MANTMP)
	dh_installdocs -X manual doc/* -X Makefile -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol -- -Vkernel:Package='$(KERNELPACKAGE)'
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20051026ubuntu36

=== build/Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # a collection of udebs which it downloads from a Debian archive. See
 # README for details.
 #
-
 #
 # General layout of our build directory hierarchy
 #
@@ -70,27 +69,21 @@
 # crosscompiling.
 ARCH = $(DEB_HOST_ARCH)
 
-#
 # By default, we just advertise what we can do.
-#
 .PHONY: all
 all: list
 
-#
 # Globally useful variables.
-#
 targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
 targetdirs = $(subst _,/,$(targetstring))
 
 
-#
 # Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
 # For simplicity, we use a similiar tree layout for config/, tmp/
 # and dest/.
 #
 # Cheap trick: if one of the variables isn't defined, we run in
 # a non-existing file and ignore it.
-#
 include config/common
 include config/dir
 -include config/local
@@ -99,9 +92,9 @@
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
 
-#
+export KEYRING
+
 # Useful command sequences
-#
 define submake
   $(MAKE) --no-print-directory
 endef
@@ -118,14 +111,14 @@
   $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
 endef
 
-define genext2fs-userdevfs
-  genext2fs -d $(TREE) -b $(USERDEVFS_SIZE) -r 0 -f userdevfs-devs
-endef
-
 define genext2fs
   genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -r 0
 endef
 
+define mkinitramfs
+  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
+endef
+
 define e2fsck
   e2fsck -fy
 endef
@@ -134,9 +127,7 @@
   mkcramfs -z $(TREE)
 endef
 
-#
 # A generic recursion rule
-#
 .PHONY: all_%
 all_%:
 	@install -d $(STAMPS)
@@ -154,9 +145,7 @@
 flavour_%:
 	$(if $(targetstring),@$(submake) _$*)
 
-#
 # Validate a targetstring, echo env variables for valid ones
-#
 .PHONY: validate_%
 validate_%:
 	@set -e; \
@@ -192,9 +181,7 @@
 	fi;
 
 
-#
 # List all targets useful for direct invocation.
-#
 .PHONY: list
 list:
 	@echo "Useful targets:"
@@ -223,13 +210,11 @@
 	echo
 
 
-#
 # Clean all targets.
-#
 .PHONY: reallyclean
 reallyclean: all_clean
 	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
-	rm -f sources.list sources.list.udeb sources.list.deb
+	rm -f sources.list sources.list.udeb
 	rm -rf $(UDEBDIR) $(STAMPS)
 
 # For manual invocation, we provide a generic clean rule.
@@ -250,10 +235,8 @@
 	rm -rf $(TARGET)
 	rm -rf $(TEMP)
 
-#
 # all_build is provided automagically, but for manual invocation
 # we provide a generic build rule.
-#
 .PHONY: build_%
 build_%:
 	@install -d $(STAMPS)
@@ -274,10 +257,14 @@
 _rebuild:
 	@$(submake) _clean _build
 
-#
+# Run before releasing built files.
+release:
+	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
+		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
+	rm -f $(BASE_DEST)/MD5SUMS
+	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS
+
 # The general tree target.
-# FIXME: This is way too convoluted.
-#
 $(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
 	dh_testroot
 	cd .. && dpkg-checkbuilddeps
@@ -301,14 +288,14 @@
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
 		if [ -f "$$udeb" ]; then \
 			pkg=`basename $$udeb` ; \
-			dpkg $(DPKG_UNPACK_OPTIONS) --root=$(TREE) --unpack $$udeb ; \
+			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
 			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
 			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
 			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
 			usedsize=`echo $$newsize - $$oldsize | bc`; \
 			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
 			usedcount=`echo $$newcount - $$oldcount | bc`; \
-			version=`dpkg-deb --info $$udeb | grep Version: | awk '{print $$2}'` ; \
+			version=`dpkg-deb --info $$udeb | grep '^Version:' | awk '{print $$2}'` ; \
 			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
 			oldsize=$$newsize ; \
 			oldblocks=$$newblocks ; \
@@ -317,19 +304,27 @@
 	done
 	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
 		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
-	grep-dctrl -nsPackage,Version '' $(TREE)/var/lib/dpkg/status | \
-		perl -nle '$$p = $$_; $$v = <>; chomp $$v; <>; print "$$p $$v"' | \
-		sort > $(TEMP_INITRD_LIST)
+	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
+		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
+		sort > $(TEMP_UDEB_LIST)
 
 	# Clean up after dpkg.
 	rm -rf $(DPKGDIR)/updates
 	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock
+
+ifdef EXTRAFILES
+	# Copy in any extra files.
+	set -e; \
+	for file in $(EXTRAFILES); do \
+		mkdir -p $(TREE)/`dirname $$file`; \
+		cp -a $$file $(TREE)/$$file; \
+	done
+endif
 
 ifdef KERNELVERSION
 	# Set up modules.dep, ensure there is at least one standard dir (kernel
 	# in this case), so depmod will use its prune list for archs with no
 	# modules.
-	#
 	set -e; \
 	$(foreach VERSION,$(KERNELVERSION), \
 		sysmap_name=; sysmap_opt=; \
@@ -348,9 +343,10 @@
 	# These files depmod makes are used by hotplug, if it's being used;
 	# otherwise, we shouldn't need them. Some files aren't even used by
 	# hotplug, so never include them.
-	if [ -d $(TREE)/etc/hotplug ]; then \
+	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
 		find $(TREE)/lib/modules/ -name 'modules*' \
-			-not -name modules.dep -not -name 'modules.*map' \
+			-not -name modules.dep -not -name modules.alias \
+			-not -name 'modules.*map' \
 			-not -type d | xargs rm -f; \
 	else \
 		find $(TREE)/lib/modules/ -name 'modules*' \
@@ -373,23 +369,24 @@
 	rmdir $(TREE)/boot/
 endif
 
-ifdef EXTRAFILES
-	# Copy in any extra files.
-	set -e; \
-	for file in $(EXTRAFILES); do \
-		mkdir -p $(TREE)/`dirname $$file`; \
-		cp -a $$file $(TREE)/$$file; \
-	done
-endif
-
-ifdef EXTRALIBS
-	# Copy in any extra libs.
-	set -e; \
-	for file in $(EXTRALIBS); do \
-		mkdir -p $(TREE)/`dirname $$file`; \
-		cp -a $$file $(TREE)/$$file; \
-	done
-endif
+ifdef PRESEED
+	# Copy in preseed file.
+	cp -a $(PRESEED) $(TREE)/preseed.cfg
+endif
+
+ifneq (,$(wildcard $(KEYRING)))
+	mkdir -p $(TREE)/usr/share/keyrings
+	cp -a $(KEYRING) $(TREE)/usr/share/keyrings/archive.gpg
+endif
+
+	# Create an lsb release file.
+	if [ ! -e $(TREE)/etc/lsb-release ]; then \
+		set -e; \
+		mkdir -p $(TREE)/etc; \
+		echo 'DISTRIB_ID=$(LSB_DISTRIB_ID)' > $(TREE)/etc/lsb-release; \
+		echo 'DISTRIB_DESCRIPTION=$(LSB_DISTRIB_DESCRIPTION)' >> $(TREE)/etc/lsb-release; \
+		echo 'DISTRIB_RELEASE=$(LSB_DISTRIB_RELEASE)' >> $(TREE)/etc/lsb-release; \
+	fi
 
 	@touch $@
 
@@ -398,20 +395,3 @@
 	# Create a dev tree.
 	mkdir -p $(TREE)/dev
 	# Always needed, in case devfs is not mounted on boot.
-	# userdevfs uses userdevfs-devs w/genext2fs
-ifndef USERDEVFS
-	mknod $(TREE)/dev/console c 5 1
-	mknod $(TREE)/dev/null c 1 3
-endif
-
-ifdef EXTRADRIVERS
-	# Unpack the udebs of additional driver disks, so mklibs runs on them too.
-	mkdir -p $(EXTRADRIVERSDIR)
-	mkdir -p $(EXTRADRIVERSDPKGDIR)/info $(EXTRADRIVERSDPKGDIR)/updates
-	touch $(EXTRADRIVERSDPKGDIR)/status $(EXTRADRIVERSDPKGDIR)/available
-	dpkg $(DPKG_UNPACK_OPTIONS) --root=$(EXTRADRIVERSDIR) --unpack \
-		$(wildcard $(foreach dir,$(EXTRADRIVERS),$(dir)/*.udeb))
-endif
-
-	# Library reduction. Existing libs from udebs are put in the udeblibs
-	# directory and mklibs is made to use those in preference to the

=== debian/changelog ===
debian-installer (20051026ubuntu36) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 May 2006 00:10:57 +0100

debian-installer (20051026ubuntu35) dapper; urgency=low

  * Fix mismatched XML tags in Russian help text translation.
  * Cope with po4a-translate discarding help text translations due to them
    being too incomplete.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 May 2006 20:59:05 +0100

debian-installer (20051026ubuntu34) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 May 2006 19:42:40 +0100

debian-installer (20051026ubuntu33) dapper; urgency=low

  * Move to 2.6.15-23 kernels.
  * Add Spanish, Basque, Finnish, Hungarian, Indonesian, Dutch, Occitan,
    Portuguese (Brazil), Russian, Vietnamese, and Chinese (China) help text
    translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 May 2006 20:48:25 +0100

debian-installer (20051026ubuntu32) dapper; urgency=low

  * Move to 2.6.15-22 kernels.
  * Update French, Korean, and Portuguese help text translations from
    Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 09:10:31 +0100

debian-installer (20051026ubuntu31) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  4 May 2006 10:34:16 +0100

debian-installer (20051026ubuntu30) dapper; urgency=low

  * Move to 2.6.15-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Apr 2006 17:31:50 +0100

debian-installer (20051026ubuntu29) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Apr 2006 11:23:16 +0100

debian-installer (20051026ubuntu28) dapper; urgency=low

  * NFS is compiled in statically on hppa, so don't try to include
    nfs-modules there.
  * Add French, Korean, and Swedish help text translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  6 Apr 2006 09:03:14 +0100

debian-installer (20051026ubuntu27) dapper; urgency=low

  * debian/rules: Calculate SUITE correctly for uploads to pockets (e.g.
    dapper-security).
  * Add nfs-modules to all netboot initrds, except powerpc where yaboot
    won't be able to load the initrd if it gets much bigger (closes: Malone
    #34161).
  * Move to 2.6.15-20 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Apr 2006 10:14:33 +0100

debian-installer (20051026ubuntu26) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Mar 2006 10:53:48 +0100

debian-installer (20051026ubuntu25) dapper; urgency=low

  * Update copyright dates in boot screens (closes: Malone #36820).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Mar 2006 13:57:40 +0100

debian-installer (20051026ubuntu24) dapper; urgency=low

  * Ship elilo configuration on i386 for Intel-based Macs.
  * Update syslinux and yaboot boot parameters for server installs to take
    account of the single-stage installer changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Mar 2006 12:52:31 +0000

debian-installer (20051026ubuntu23) dapper; urgency=low

  * Move to 2.6.15-19 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Mar 2006 23:09:37 +0000

debian-installer (20051026ubuntu22) dapper; urgency=low

  * No-change rebuild to pick up cdebconf security fixes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 17:22:14 +0000

debian-installer (20051026ubuntu21) dapper; urgency=low

  * Move to 2.6.15-18 kernels.

  * Readd input-modules to sparc/netboot.

  * Readd usb-modules to sparc.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 09 Mar 2006 12:08:22 +0100

debian-installer (20051026ubuntu20) dapper; urgency=low

  * Move to 2.6.15-17 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  4 Mar 2006 00:20:23 +0000

debian-installer (20051026ubuntu19) dapper; urgency=low

  * Move to 2.6.15-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Feb 2006 23:19:38 +0000

debian-installer (20051026ubuntu18) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Feb 2006 17:24:25 +0000

debian-installer (20051026ubuntu17) dapper; urgency=low

  * Add Portuguese help text translation (thanks, Rui Azevedo).
  * Force UTF-8 output in help-to-gfxboot.py.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Feb 2006 11:31:35 +0000

debian-installer (20051026ubuntu16) dapper; urgency=low

  * Build-depend on belocs-locales-bin.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  8 Feb 2006 11:51:23 +0000

debian-installer (20051026ubuntu15) dapper; urgency=low

  * Add gfxboot help text, localisable via DocBook XML and po4a. Eventually
    the same framework should be applicable to the ordinary syslinux help
    text too; there's rather a lot of copied text at the moment.
  * Ship compiled gfxboot help text in the debian-cd tarball.
  * Move to 2.6.15-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Feb 2006 16:39:51 +0000

debian-installer (20051026ubuntu14) dapper; urgency=low

  * Move to 2.6.15-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jan 2006 09:37:31 +0000

debian-installer (20051026ubuntu13) dapper; urgency=low

  * Drop minimum memory requirement to 32MB.
  * Move to 2.6.15-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jan 2006 10:09:10 +0000

debian-installer (20051026ubuntu12) dapper; urgency=low

  * Backport from trunk:
    - Include rescue-mode in monolithic images.
  * Move to 2.6.15-12 kernels.
  * Drop libselinux1 and libsepol1 build-dependencies again, now that
    udev-udeb has been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jan 2006 10:34:05 +0000

debian-installer (20051026ubuntu11) dapper; urgency=low

  * Build-depend on libselinux1 and libsepol1 for now, since udev-udeb


=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},unstable)
SUITE=etch
endif
ifeq (${SUITE},UNRELEASED)
SUITE=dapper
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		SUITE=$(SUITE) BUILD_DATE=$(DATE) PRESEED=
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20051026ubuntu36.13

=== debian/changelog ===
debian-installer (20051026ubuntu36.13) dapper-proposed; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Dec 2007 11:32:42 +0000

debian-installer (20051026ubuntu36.12) dapper-proposed; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2007 18:54:59 +0000

debian-installer (20051026ubuntu36.11) dapper-proposed; urgency=low

  * Add nic-updates-modules and scsi-updates-modules to all images including
    nic-modules and scsi-modules respectively.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2007 19:01:48 -0400

debian-installer (20051026ubuntu36.10) dapper-proposed; urgency=low

  * Move to 2.6.15-51 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Oct 2007 13:24:34 +0100

debian-installer (20051026ubuntu36.9) dapper-proposed; urgency=low

  * Move to 2.6.15-29 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Aug 2007 14:05:15 +0100

debian-installer (20051026ubuntu36.8) dapper-proposed; urgency=low

  * Move to 2.6.15-28 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Aug 2007 12:51:30 +0100

debian-installer (20051026ubuntu36.7) dapper-proposed; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2007 16:48:45 +0100

debian-installer (20051026ubuntu36.6) dapper-updates; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Aug 2006 11:35:26 +0100

debian-installer (20051026ubuntu36.5) dapper-updates; urgency=low

  * Fix dapper-security hack to work for ports architectures too.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Aug 2006 09:13:13 +0100

debian-installer (20051026ubuntu36.4) dapper-updates; urgency=low

  * Explicitly add dapper-security to sources.list.udeb to work around the
    lack of dapper-security in buildd chroots for dapper-updates.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Aug 2006 09:00:42 +0100

debian-installer (20051026ubuntu36.3) dapper-updates; urgency=low

  [ Fabio M. Di Nitto ]
  * Add sparc-utils-udeb to sparc cdrom and netboot images.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jul 2006 20:03:47 +0100

debian-installer (20051026ubuntu36.2) dapper-updates; urgency=low

  * Move to 2.6.15-26 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jul 2006 00:10:22 +0100

debian-installer (20051026ubuntu36.1) dapper-updates; urgency=low

  * Move to 2.6.15-25 kernels.
  * Portforward changes from debian-installer_20050317ubuntu20 to build for
    the right pocket when uploading to -security or -updates.
  * cat the generated sources.list.udeb so that there is a record in the buildlog
    of what pockets are used to build.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 14 Jun 2006 11:43:37 +0200

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.2
Build-Conflicts: libnewt-pic [mipsel]
Build-Depends: debhelper (>= 4), apt, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, lsb-release, belocs-locales-bin, glibc-pic, libdebian-installer4 (>= 0.31), libdebconfclient0, libparted1.6-13, libslang2-pic, libnewt-pic [!mipsel], libnewt-dev [mipsel], libbogl-dev, libtextwrap1, cramfsprogs [powerpc ia64 mips mipsel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15) [!ia64], mklibs-copy [ia64], mkisofs, genromfs [sparc], hfsutils [powerpc], dosfstools [i386 ia64 m68k amd64], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.10-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], sysutils [i386 amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 powerpc amd64 hppa ia64 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- grep-dctrl
#		Various manipulations of the udeb Packages files.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- lsb-release
#		Provides system version information.
#	- belocs-locales-bin
#		Used to make sure that installation-locale is using a locale
#		data format that everything else can understand.
#	
# Library build dependencies:
#	Libraries can come from three sources: From a udeb, from the build
#	system via library reduction, or from the build system with no library
#	reduction done. We'd like to eventually do away with that last.
#	- glibc-pic
#		For library reduction.
#	- libdebian-installer4 (>= 0.31)
#	- libdebconfclient0
#		We use the udebs of these, so they're only included because
#		of broken deps in udebs confusing apt. (Versions are to make
#		sure the deps are satisfied.) Will be fixed.
#	- libparted1.6-13
#		Only needed for monolithic image builds, and only because
#		of broken udeb deps. Will be fixed.
#	- libslang2-pic
#	- libnewt-pic [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libbogl-dev
#		bogl is used by bterm. There is no particular reason
#		why we're copying the library from the build system instead
#		of using a dependency.
#	- libtextwrap1
#		Used by cdebconf. Should be a udeb, but isn't.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.15) [!ia64], mklibs-copy [ia64]
#		We use mklibs for library reduction except for where it's
#		broken. See bug #326103.
#	- mkisofs
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2.11-0.1) [i386 amd64]
#		There were some crippling bugs in version 2.10.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- delo [mipsel]
#		For booting DECstations from storage media.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.10-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#
# Architecture specific build dependencies:
#	- sysutils [i386 amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 powerpc amd64 hppa ia64 sparc]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386]
#		i386 uses upx to compress kernels and other binaries
#		The version is the first one that worked well enough for
#		us.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.
